# -*- coding: utf-8 -*-
#
# (c) 2008 by Intevation GmbH
# This is Free software under the GPLv3. 
# See LICENSE comming with the source of 'mpuls offline'
# for details.
#
# author: Sascha L. Teichmann <sascha.teichmann@intevation.de>
#

from string import Template

HTML_TEMPLATE = Template( \
u'''<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" 
  "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <title>mpuls Offline-Klient</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="content-style-type" content="text/css">
    <meta http-equiv="expires" content="0">
    <link href="styles/all.css" media="all" rel="stylesheet" type="text/css">
    <link href="styles/color3.css" media="screen" rel="stylesheet"
          type="text/css">
    <link href="styles/screen.css" media="screen" rel="stylesheet"
          type="text/css">
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/python.js"></script>
  </head>
  <body>
    <div id="main">
        <div class="left">
            <div id="navigation" class="navigation">
                <div class="menu">
                <h1>&Uuml;berblick</h1>
                <div class="actions">
                    <ul>
                      <li><a href="javascript:logbook_overview();">Tagebuch</a></li>
                    </ul>
                </div>
                $NAVIGATION
                </div>
            </div>
        </div>
        <div id="content" class="right">
            $MAIN_CONTENT
        </div>
    </div>
  </body>
</html>''')

FORM_MAIN = Template( \
u'''
    $FORM_HEADER
    $FORMULAR_ERRORS
    <div class="formularpage">
        $WASKA_FORM
    </div>
    <div class="clearer"></div>
''')

HELP_TEMPLATE = Template( \
u'''<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de">
    <head>
        <title>Hilfe</title>
    </head>
    <body>
        <div>
            <strong>$KIND: $TITLE</strong>
        </div>
        <div>
            $CONTENT
        </div
    </body>
</html>''')

EMPTY_HTML = Template( \
u'''<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" 
  "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <title>mpuls Offline-Klient</title>
    <link rel="stylesheet" type="text/css" href="styles/style.css">
  </head>
  <body>
    <div class="header">
      <div class="limiter_fadeup left"></div>
      <img src="images/mpuls_logo.png" alt="mpuls">
      <img src="images/app_logo.png" alt="jmd">
      <div class="limiter_fadeup right"></div>
    </div>
    <div class="buttons">
      <a class="button" href="javascript:python.new_case();">
        <img src="images/document_new.png" alt="">
        <span class="text">Neue Fallakte anlegen</span>
      </a>
      <a class="button" href="javascript:python.load_case();">
        <img src="images/document_open.png" alt="">
        <span class="text">Bestehende Fallakte öffnen</span>
      </a>
    </div>
    <div class="footer">
      <div class="limiter_fadedown left"></div>
      <div class="limiter_fadedown right"></div>
      <div class="margin5 right">mpuls Offline-Klient</div>
  </body>
</html>
''')

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
