#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# (c) 2008 by Intevation GmbH
# This is Free software under the GPLv3.
# See LICENSE comming with the source of 'mpuls offline'
# for details.
#
# author: Sascha L. Teichmann (sascha.teichmann@intevation.de)
#
from distutils.core import setup

import py2exe
import glob
import os

import PyQt4


def dirname():
    try:
        return os.environ['KDEROOT']
    except KeyError:
        return os.path.dirname(PyQt4.__file__)


def all_codecs():
    return glob.glob(os.path.join(dirname(), "plugins", "codecs", "*.dll"))


def all_imageformats():
    return glob.glob(os.path.join(dirname(), "plugins", "imageformats",
                                  "*.dll"))


setup(windows=[{'script': 'offline.py',
                'icon_resources': [(1, 'offline/resources/images/icons/app.ico')],
                }],
      options={'py2exe': {'includes': ['sip', 'PyQt4.QtNetwork'],
                          'dll_excludes': ['MSVCP90.dll']}},
      data_files =[
          (".",              ["LICENSE"]),
          ("resources",      glob.glob("offline/resources/*.*")),
          ("resources/js",      glob.glob("offline/resources/js/*.*")),
          ("resources/formed",      glob.glob("offline/resources/formed/*.*")),
          ("resources/images",  glob.glob("offline/resources/images/*.*")),
          ("resources/images/icons",
           glob.glob("offline/resources/images/icons/*.*")),
          ("resources/images/icons/formular",
           glob.glob("offline/resources/images/icons/formular/*.*")),
          ("resources/images/icons/info",
           glob.glob("offline/resources/images/icons/info/*.*")),
          ("resources/styles",  glob.glob("offline/resources/styles/*.*")),
          ("i18n/de/LC_MESSAGES",
           glob.glob("formed/i18n/de/LC_MESSAGES/*.*")),
          ("codecs",         all_codecs()),
          ("imageformats",   all_imageformats()),
          ])

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
